<?php
/**
 * NOTICE OF LICENSE
 *
 * @author    INVERTUS, UAB www.invertus.eu <support@invertus.eu>
 * @copyright Copyright (c) permanent, INVERTUS, UAB
 * @license   Addons PrestaShop license limitation
 * @see       /LICENSE
 *
 * International Registered Trademark & Property of INVERTUS, UAB
 */

require_once(dirname(__FILE__).'/../../vendor/autoload.php');

use Invertus\SwedBank\Controller\AbstractAdminController;

class AdminSwedBankRequestFormController extends AbstractAdminController
{
    public function __construct()
    {
        parent::__construct();

        $this->page_header_toolbar_title = $this->l('Swedbank Request for E-commerce solutions');
        $this->fields_options = [];
    }

    public function initToolbar()
    {
        parent::initToolbar();

        unset($this->toolbar_btn['save']);
    }

    public function setMedia()
    {
        parent::setMedia();

        $jsVariables = [
            'swedbank' => [
                'messages' => [
                    'error' => [
                        'all_fields_required' => $this->l('Please fill all required fields'),
                        'failed_send' => $this->l('Failed to send request. Please try again later.')
                    ],
                    'success' => [
                        'request_sent' => $this->l('The request was successfully sent'),
                    ],
                ],
            ],
        ];

        Media::addJsDef($jsVariables);

        $this->context->smarty->assign([
            'shopUrl' => $this->context->shop->getBaseURL(),
            'lang' => $this->context->language->iso_code,
        ]);

        $this->addJS($this->module->getPathUri().'views/js/admin/request_form.js');
    }

    public function renderOptions()
    {
        $options = $this->context->smarty->fetch(
            $this->module->getLocalPath().'views/templates/admin/request-form.tpl'
        );

        return $options;
    }
}
