<?php
/**
 * NOTICE OF LICENSE
 *
 * @author    INVERTUS, UAB www.invertus.eu <support@invertus.eu>
 * @copyright Copyright (c) permanent, INVERTUS, UAB
 * @license   Addons PrestaShop license limitation
 * @see       /LICENSE
 *
 * International Registered Trademark & Property of INVERTUS, UAB
 */

class SwedBankBanklinkCallbackModuleFrontController extends ModuleFrontController
{
    /**
     * @var SwedBank
     */
    public $module;

    public function postProcess()
    {
        if (Tools::getRemoteAddr() != $_SERVER['SERVER_ADDR']) {
            die;
        }

        $secretKey = Tools::getValue('secret_key');
        $idOrder = Tools::getValue('id_order');
        $status = Tools::getValue('status');

        $order = new Order($idOrder);

        if (!Validate::isLoadedObject($order) ||
            $secretKey != Tools::encrypt($this->module->name) ||
            !$this->module->active ||
            $order->hasBeenPaid() ||
            !$this->module->isConfigured()
        ) {
            die;
        }

        $environment = Tools::strtoupper($this->module->getEnvironment());
        $idOrderStatus = null;

        if ('SUCCESS' == $status) {
            $idOrderStatus = Configuration::get('SB_ORDER_STATUS_SUCCESS_'.$environment);
        } elseif ('REQUIRESINVESTIGATION' == $status) {
            $idOrderStatus = Configuration::get('SB_ORDER_STATUS_REQINV_'.$environment);
        }

        if ($idOrderStatus) {
            $order->setCurrentState($idOrderStatus);
        }

        die;
    }
}
