<?php
/**
 * NOTICE OF LICENSE
 *
 * @author    INVERTUS, UAB www.invertus.eu <support@invertus.eu>
 * @copyright Copyright (c) permanent, INVERTUS, UAB
 * @license   Addons PrestaShop license limitation
 * @see       /LICENSE
 *
 * International Registered Trademark & Property of INVERTUS, UAB
 */

namespace Invertus\SwedBank\Factory;

use Invertus\SwedBank\Adapter\Configuration;
use RuntimeException;
use SwedBank;
use SwedbankPaymentPortal\SharedEntity\Authentication;

class AuthenticationFactory
{
    /**
     * @var SwedBank
     */
    private $module;

    /**
     * @var Configuration
     */
    private $configuration;

    public function __construct(SwedBank $module, Configuration $configuration)
    {
        $this->module = $module;
        $this->configuration = $configuration;
    }

    /**
     * @return Authentication
     */
    public function createNew()
    {
        $environment = \Tools::strtoupper($this->module->getEnvironment());
        $id = $this->configuration->get('SB_CLIENT_ID_'.$environment);
        $password = $this->configuration->get('SB_CLIENT_PASSWORD_'.$environment);

        if (!$id || !$password) {
            throw new RuntimeException(
                sprintf('Client credentials are not configured for "%s" environment', $environment)
            );
        }

        $authentication = new Authentication($id, $password);

        return $authentication;
    }
}
